#!/bin/bash

set -e

DIR="$( cd "$( dirname "$0" )" && pwd )"
if [ "$(uname -s)" = "Darwin" ]; then
  if [ "$(whoami)" = "root" ]; then
    TARGET_DIR="/Library/Google/Chrome/NativeMessagingHosts"
  else
    TARGET_DIR="$HOME/Library/Application Support/Google/Chrome/NativeMessagingHosts"
  fi
else
  if [ "$(whoami)" = "root" ]; then
    TARGET_DIR="/etc/opt/chrome/native-messaging-hosts"
  else
    TARGET_DIR="$HOME/.config/google-chrome/NativeMessagingHosts"
  fi
fi



HOST_NAME="com.postman.postmanapp"

# Create directory for interceptor bridge executable
mkdir -p "$HOME/.postman"

# Copy native messaging host manifest.
cp "$DIR/$HOST_NAME.json" "$TARGET_DIR"

# move bridge to .postman/InterceptorBridge
cp "$DIR/InterceptorBridge" "$HOME/.postman/"

# Update host path in the manifest.
HOST_PATH="$HOME/.postman/InterceptorBridge"


sed -i -e 's|HOST_PATH|'"$HOST_PATH"'|g' "$TARGET_DIR/com.postman.postmanapp.json"

# Set permissions for the manifest so that all users can read it.
chmod o+r "$TARGET_DIR/$HOST_NAME.json"
chmod +x $HOST_PATH

echo "Native messaging host $HOST_NAME for 'Postman Native App < > Interceptor integration' has been installed."
